Bug 108412

Summary: lack of "CONFLICTS" about vnc and its delivatives.
Product: Ports & Packages Reporter: TsurutaniNaoki
Component: Individual Port(s)Assignee: Ion-Mihai "IOnut" Tetcu <itetcu>
Status: Closed FIXED    
Severity: Affects Only Me    
Priority: Normal    
Version: Latest   
Hardware: Any   
OS: Any   

Description TsurutaniNaoki 2007-01-27 08:50:15 UTC
	net/vnc, net/tightvnc and net/tridiavnc conflicts.
	only net/vnc contains "CONFLICTS" line in Makefile, but it misses tridiavnc.
	others have no CONFLICTS line in Makefile.

Fix: 

add/fix CONFLICTS line about 3 ports.
How-To-Repeat: 	see Makefile.
Comment 1 Edwin Groothuis freebsd_committer 2007-01-29 23:24:08 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback
Comment 2 Ion-Mihai "IOnut" Tetcu freebsd_committer 2007-01-30 21:46:57 UTC
Responsible Changed
From-To: freebsd-ports-bugs->itetcu

I'll take it.
Comment 3 dfilter service freebsd_committer 2007-01-30 22:08:35 UTC
itetcu      2007-01-30 22:08:24 UTC

  FreeBSD ports repository

  Modified files:
    net/tightvnc         Makefile 
  Log:
  (finish interruped update)
  - - CONFLICT with other vnc ports [1]
  - tke maintainership since I'm using it
  
  PR:             ports/108412 [1]
  Submitted by:   Tsurutani Naoki [1]
  
  Revision  Changes    Path
  1.26      +1 -0      ports/net/tightvnc/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 james 2007-02-05 14:15:25 UTC
Hi,

Patch below for net/vnc to add tridiavnc to CONFLICTS.


Thanks!
james
-- 
Times flies like an arrow. Fruit flies like bananas.


--- net/vnc/Makefile.orig	Mon Feb  5 14:11:05 2007
+++ net/vnc/Makefile		Mon Feb  5 14:12:44 2007
@@ -25,7 +25,7 @@
 
 WRKSRC=		${WRKDIR}/${DISTNAME}/unix
 PLIST=		${WRKDIR}/pkg-plist
-CONFLICTS=	tightvnc-[0-9]*
+CONFLICTS=	tightvnc-[0-9]* tridiavnc-[0-9]*
 
 OPTIONS=	SERVER "Install VNC server components" on
Comment 5 Gavin Atkinson 2007-05-18 17:33:02 UTC
This PR refers to the port net/vnc maintained by james@now.ie and
contains a patch.  Maintainer, do you have any issues with the inclusion
of this patch?

Thanks,

Gavin
Comment 6 james 2007-05-18 18:35:40 UTC
Hi Gavin,

On Fri, May 18, 2007 at 05:33:02PM +0100, Gavin Atkinson wrote:
> This PR refers to the port net/vnc maintained by james@now.ie and
> contains a patch.  Maintainer, do you have any issues with the inclusion
> of this patch?

Nope - I submitted the patch :)


Many thanks,
james
-- 
Times flies like an arrow. Fruit flies like bananas.
Comment 7 TsurutaniNaoki 2007-05-21 04:23:14 UTC
James Raftery wrote:

>On Fri, May 18, 2007 at 05:33:02PM +0100, Gavin Atkinson wrote:
>> This PR refers to the port net/vnc maintained by james@now.ie and
>> contains a patch.  Maintainer, do you have any issues with the inclusion
>> of this patch?
>
>Nope - I submitted the patch :)

Thank you for your fixes.
I hope someone fix this on net/tridiavnc, whose maintainer is ports@.

BTW, tridiavnc is still active ?
---
Tsurutani Naoki
turutani@scphys.kyoto-u.ac.jp
Comment 8 Mark Linimon freebsd_committer freebsd_triage 2007-05-21 16:22:05 UTC
State Changed
From-To: feedback->open

This is actually a maintainer-update. 


Comment 9 Mark Linimon freebsd_committer freebsd_triage 2007-05-21 16:22:05 UTC
Class Changed
From-To: sw-bug->maintainer-update
Comment 10 dfilter service freebsd_committer 2007-06-12 23:33:28 UTC
itetcu      2007-06-12 22:33:22 UTC

  FreeBSD ports repository

  Modified files:
    net/vnc              Makefile 
  Log:
  - fix CONFLICTS
  - bump PORTREVISION
  
  PR:             ports/108412
  Submitted by:   Tsurutani Naoki / James Raftery (maintainer)
  
  Revision  Changes    Path
  1.50      +2 -2      ports/net/vnc/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 11 dfilter service freebsd_committer 2007-06-12 23:38:59 UTC
itetcu      2007-06-12 22:38:54 UTC

  FreeBSD ports repository

  Modified files:
    net/tridiavnc        Makefile 
  Log:
  - fix CONFLICTS [1]
  - un-quote BROKEN message
  - s/MACHINE_ARCH/ARCH/
  - bump PORTREVISION for CONFLICTS chage
  
  PR:             ports/108412 [1]
  Submitted by:   Tsurutani Naoki [1]
  
  Revision  Changes    Path
  1.12      +5 -3      ports/net/tridiavnc/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 12 Ion-Mihai "IOnut" Tetcu freebsd_committer 2007-06-12 23:39:14 UTC
State Changed
From-To: open->closed

Committed. Thanks!